SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   Blog System Vendors:   NetArt Media
Blog System Input Validation Holes Permit SQL Injection
SecurityTracker Alert ID:  1015310
SecurityTracker URL:  http://securitytracker.com/id/1015310
CVE Reference:   GENERIC-MAP-NOMATCH   (Links to External Site)
Date:  Dec 6 2005
Impact:   Disclosure of system information, Disclosure of user information
Exploit Included:  Yes  
Version(s): 1.2
Description:   A vulnerability was reported in Blog System. A remote user can inject SQL commands.

The software does not properly validate user-supplied input in the 'cat' and 'note' parameters. A remote user can supply a specially crafted parameter value to execute SQL commands on the underlying database.

Some demonstration exploit URLs are provided:

http://[target]/index.php?mode=home&cat=-99[SQL CODE]

http://[target]/blog.php?user=[USER]&note=-99[SQL CODE]

vipsta at gmail reported this vulnerability.

Impact:   A remote user can execute SQL commands on the underlying database.
Solution:   No solution was available at the time of this entry.
Vendor URL:  www.netartmedia.net/blogsystem/ (Links to External Site)
Cause:   Input validation error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  Blog System v1.2 Multiple SQL Injection Vulnerabilities

Blog System v1.2 (http://www.netartmedia.net/blogsystem/)
is vulnerable to 2 SQL injection vulnerabilities for failure to correctly sanitize SQL parameters.

http://[HOST]/index.php?mode=home&cat=-99[SQL CODE]

http://[HOST]/blog.php?user=[USER]&note=-99[SQL CODE]


 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC